Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::Trapezoid Class Reference

A GdkTrapezoid C++ wrapper class. More...

`#include <xfc/gdk/types.hh>`

List of all members.

## Public Member Functions

Constructors

- Trapezoid ()
    Construct an empty trapezoid, with all coordinates set to zero.
- Trapezoid (double y1, double x11, double x21, double y2, double x12, double x22)
    Construct a new trapezoid.

Accessors

- GdkTrapezoid * gdk_trapezoid () const
    Get a pointer to the GdkTrapezoid structure.
- operator GdkTrapezoid * () const
    Conversion operator; safely converts a Trapezoid to a GdkTrapezoid pointer.

Methods

- void set (double y1, double x11, double x21, double y2, double x12, double x22)
    Set the coordinates for the trapezoid.

## Detailed Description

A GdkTrapezoid C++ wrapper class.

Trapezoid specifies a trapezpoid for use by the Gdk::Drawable::draw_trapezoids(). The trapezoids used here have parallel, horizontal top and bottom edges.

## Constructor & Destructor Documentation

Xfc::Gdk::Trapezoid::Trapezoid | ( | double | y1,
|  | double | x11,
|  | double | x21,
|  | double | y2,
|  | double | x12,
|  | double | x22
| ) |

Construct a new trapezoid.

Parameters:

  | y1 | The y coordinate of the start point.
  | x11 | The x coordinate of the top left corner.
  | x21 | The x coordinate of the top right corner.
  | y2 | The y coordinate of the end point.
  | x12 | The x coordinate of the bottom left corner.
  | x22 | The y coordinate of the bottom right point.

## Member Function Documentation

void Xfc::Gdk::Trapezoid::set | ( | double | y1,
|  | double | x11,
|  | double | x21,
|  | double | y2,
|  | double | x12,
|  | double | x22
| ) |

Set the coordinates for the trapezoid.

Parameters:

  | y1 | The y coordinate of the start point.
  | x11 | The x coordinate of the top left corner.
  | x21 | The x coordinate of the top right corner.
  | y2 | The y coordinate of the end point.
  | x12 | The x coordinate of the bottom left corner.
  | x22 | The y coordinate of the bottom right point.

The documentation for this class was generated from the following file:

- gdk/types.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3